# fix_modify AtC extrinsic electron_integration

## syntax

fix_modify AtC extrinsic electron_integration <integration_type> <num_subcyle_steps(optional)>

- integration_type (string) = explicit | implicit | steady

num_subcycle_steps (int), optional = number of subcycle steps for the electron time integration

## examples

`fix_modify AtC extrinsic electron_integration implicit`
`fix_modify AtC extrinsic electron_integration explicit 100`

## description

Switches between integration scheme for the electron temperature. The number of subcyling steps used to integrate the electron temperature 1 LAMMPS timestep can be manually adjusted to capture fast electron dynamics.

## restrictions

For use only with two_temperature type of AtC fix ( see fix atc command )

## default

implicit
subcycle_steps = 1